# fuelCreditAppropriationRequestsEvent

Send NFe Event Type 211140
(en) Event to be generated by the purchaser of fuel listed in Article 172 of Complementary Law 214/2025 who is part of that fuel’s production chain, 
in order to request the appropriation of credit for the portion consumed in their commercial activity.
(pt) Evento a ser gerado pelo adquirente de combustível listado no art. 172 da LC 214/2025 e que pertença à cadeia produtiva desses
combustíveis, para solicitar a apropriação de crédito referente à parcela que for consumida em sua atividade comercial.


`POST /v3/invoices/goods/{key}/fuel-credit-appropriation-requests`

**API:** AvaTax Brazil
**Tag:** Invoice Goods
**API Version:** 3.0
**Base URL:** https://avataxbr.sandbox.avalarabrasil.com.br

Source: https://developer.avalara.com/products/avatax-brazil/api/methods/Invoice%20Goods/fuelCreditAppropriationRequestsEvent/

## Request Body

**Content-Type:** `application/json`
**Schema:** `nfeEvt_211140`

(en) Event to be generated by the purchaser of fuel listed in Article 172 of Complementary Law 214/2025 who is part of that fuel’s production chain, 
in order to request the appropriation of credit for the portion consumed in their commercial activity.
(pt) Evento a ser gerado pelo adquirente de combustível listado no art. 172 da LC 214/2025 e que pertença à cadeia produtiva desses
combustíveis, para solicitar a apropriação de crédito referente à parcela que for consumida em sua atividade comercial.

| Property | Type | Required | Description |
|---|---|---|---|
| `companyLocation` | string | No | (en) This string contains a previously configured company code which may also have codes needed for tax return purposes. These codes are maintained through the customer portal. Main company address identity.
(pt) Essa string contém um código de empresa configurado anteriormente que também pode ter códigos necessários para fins de declaração de imposto. Esses códigos são mantidos através do portal do cliente. Identidade do endereço principal da empresa. |
| `dateTime` | string | No | (en) Event Date and Time, UTC format (YYYY-MM-DDThh:mm:ssTZD).
(pt) Data e Hora do Evento, formato UTC (AAAA-MM-DDThh:mm:ssTZD). |
| `tpEvent` | string | No |  Values: `211140`. |
| `seq` | number | No |  |
| `detEvent` | object | No |  |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | (en) Invoice Status
(pt) Status da nota | `eInvoiceReturnStatus` |
| 400 |  |  |
| 401 |  |  |
| 403 |  |  |
| 404 |  |  |
| 429 |  |  |
| 500 |  |  |
| 503 |  |  |

### 200 Response: `eInvoiceReturnStatus`

| Property | Type | Required | Description |
|---|---|---|---|
| `desc` | string | No |  |
| `code` | string | No |  |
| `protocol` | string | No |  |
| `nfseNumber` | string | No |  |
| `nfseVerifyCode` | string | No |  |
| `authorizationDateTime` | string | No |  |

## Example Request

```bash
curl -X POST "https://avataxbr.sandbox.avalarabrasil.com.br/v3/invoices/goods/{key}/fuel-credit-appropriation-requests" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json" \
  -d '{
  "companyLocation": "",
  "dateTime": "",
  "tpEvent": "",
  "seq": "",
  "detEvent": {
    "tpAutor": "",
    "eventDescription": "",
    "gFuelConsumption": [
      {
        "nItem": "",
        "vIBS": "",
        "vCBS": "",
        "gInventoryControl": {
          "qFuel": "",
          "uFuel": ""
        }
      }
    ]
  }
}'
```